-------- Crear link (dbo.gen_archivo)

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS where Table_Name='gen_archivo'  and column_name = 'link' )
begin
alter table [gen_archivo] add [link]  varchar(500)  NULL 
end